!
!   checkrgsmap.f90 --- check OAL_getRgsDiagImage call
!
!   AUTHOR:
!       RDS, 2003-12-04
!
!   $Header: /home/sasbuild/repositories/sasdev/sas/packages/oal/f90test/checkrgsmap.f90,v 1.1 2003/12/04 14:31:06 rsaxton Exp $
!
program checkrgsmap

use oal             ! use the ODF Access Layer
use caloaldefs
use errorhandling

    implicit none
    integer(int16), dimension(:,:), pointer :: diagImage

! Set the state to be RGS1, ccd 1, primary node
    call OAL_setState(RGS1)
    call OAL_setState(ccdNr=1)
    call OAL_setState(nodeNr=0)

    if (OAL_getRGSDiagImage(diagImage)) then
            write(*, *) 'RGS1 diagnostic image returned ', &
                       &'Image pixel (50,20) = ',diagImage(50,20)
    endif
end program
